## org.eclipse.datatools.sqltools.result.internal.export
Class OutputterDescriptor

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.export.OutputterDescriptor

All Implemented Interfaces:
  IOutputterDescriptor

    public class OutputterDescriptor

extends java.lang.Object
implements IOutputterDescriptor

The standard implementation for `IOutputterDescriptor`

Author:
  Dafan Yang

Constructor Summary
`OutputterDescriptor(java.lang.String id, java.lang.String name, java.lang.String extension, boolean delimiter, AbstractOutputter _outputter, boolean supportXMLResult, java.lang.String extensionFilter)`

Method Summary
`java.lang.String` `getDisplayString()` Returns the display string of this outputter
`java.lang.String` `getExtensionFilterDisplayString()` Returns the display string for the extension fitler
`java.lang.String` `getExtFilterString()` Returns the file filter string
`java.lang.String` `getFileExtension()` Returns the file extension which the outputter supports
`AbstractOutputter` `getOutputter()` Returns the outputter
`java.lang.String` `getTypeId()` Returns the type id of the outputter
`java.lang.String` `getTypeName()` Returns the type name of the outputter
`boolean` `supportDelimiter()` Returns whether the outputter support user-defined delimiter
`boolean` `supportXMLResult()` Returns whether the outputter support XML result set

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputterDescriptor

    public OutputterDescriptor(java.lang.String id,
                               java.lang.String name,
                               java.lang.String extension,
                               boolean delimiter,
                               AbstractOutputter _outputter,
                               boolean supportXMLResult,
                               java.lang.String extensionFilter)

Method Detail

### getFileExtension

    public java.lang.String getFileExtension()

  Description copied from interface: `IOutputterDescriptor`
  Returns the file extension which the outputter supports

  Specified by:
    `getFileExtension` in interface `IOutputterDescriptor`
  Returns:
    the file extension

### getOutputter

    public AbstractOutputter getOutputter()

  Description copied from interface: `IOutputterDescriptor`
  Returns the outputter

  Specified by:
    `getOutputter` in interface `IOutputterDescriptor`
  Returns:
    the outputter

### getTypeId

    public java.lang.String getTypeId()

  Description copied from interface: `IOutputterDescriptor`
  Returns the type id of the outputter

  Specified by:
    `getTypeId` in interface `IOutputterDescriptor`
  Returns:
    the type id

### getTypeName

    public java.lang.String getTypeName()

  Description copied from interface: `IOutputterDescriptor`
  Returns the type name of the outputter

  Specified by:
    `getTypeName` in interface `IOutputterDescriptor`
  Returns:
    the type name

### supportDelimiter

    public boolean supportDelimiter()

  Description copied from interface: `IOutputterDescriptor`
  Returns whether the outputter support user-defined delimiter

  Specified by:
    `supportDelimiter` in interface `IOutputterDescriptor`
  Returns:
    whether the outputter support user-defined delimiter

### supportXMLResult

    public boolean supportXMLResult()

  Description copied from interface: `IOutputterDescriptor`
  Returns whether the outputter support XML result set

  Specified by:
    `supportXMLResult` in interface `IOutputterDescriptor`
  Returns:
    whether the outputter support XML result set

### getDisplayString

    public java.lang.String getDisplayString()

  Description copied from interface: `IOutputterDescriptor`
  Returns the display string of this outputter

  Specified by:
    `getDisplayString` in interface `IOutputterDescriptor`
  Returns:
    the display string of this outputter

### getExtFilterString

    public java.lang.String getExtFilterString()

  Description copied from interface: `IOutputterDescriptor`
  Returns the file filter string

  Specified by:
    `getExtFilterString` in interface `IOutputterDescriptor`
  Returns:

### getExtensionFilterDisplayString

    public java.lang.String getExtensionFilterDisplayString()

  Description copied from interface: `IOutputterDescriptor`
  Returns the display string for the extension fitler

  Specified by:
    `getExtensionFilterDisplayString` in interface `IOutputterDescriptor`
  Returns:
    the display string for the extension fitler